<?php
/* Mantenimiento de los registros de la tabla SR_DevolucionTransaccion redefinidos por el usaurio */
class SR_DevolucionTransaccionDP extends BaseSR_DevolucionTransaccionDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( DevolucionTransId ) IS NULL, 1, MAX( DevolucionTransId ) + 1 ) i_Id  FROM SR_DevolucionTransaccion ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>